## kdepim-addons 25.08.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.0")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
    ${ECM_MODULE_PATH}
)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "6")

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    examples/*.cpp
    examples/*.h
    examples/*.c
    kmailtransport/*.cpp
    kmailtransport/*.h
    kmailtransport/*.c
    plugins/*.cpp
    plugins/*.h
    plugins/*.c
    sieveeditor/*.cpp
    sieveeditor/*.h
    sieveeditor/*.c
    akonadi-import-wizard/*.cpp
    akonadi-import-wizard/*.h
    akonadi-import-wizard/*.c
    kaddressbook/*.cpp
    kaddressbook/*.h
    kaddressbook/*.c
    kmail/*.cpp
    kmail/*.h
    kmail/*.c
    korganizer/*.cpp
    korganizer/*.h
    korganizer/*.c
    kldap/*.cpp
    kldap/*.h
)

kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(KTEXTADDONS_MIN_VERSION "1.6.0")
set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.6.0")

option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

option(
    OPTION_ADD_AUTOGENERATETEXT
    "Add support for autogenerate text plugin"
    ON
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED WebEngineWidgets Widgets Test
)

find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Declarative ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
if(NOT WIN32)
    find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

set(MAILCOMMON_LIB_VERSION "6.5.0")
set(GRAVATAR_LIB_VERSION "6.5.0")
set(PIMCOMMON_LIB_VERSION "6.5.0")
set(GRANTLEETHEME_LIB_VERSION "6.5.0")
set(CALENDARSUPPORT_LIB_VERSION "6.5.0")
set(LIBKDEPIM_LIB_VERSION "6.5.0")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.0")
set(LIBKLEO_LIB_VERSION "6.5.0")
set(AKONADI_LIB_VERSION "6.5.0")
set(INCIDENCEEDITOR_LIB_VERSION "6.5.0")
set(KTNEF_LIB_VERSION "6.5.0")
set(MESSAGELIB_LIB_VERSION "6.5.0")
set(AKONADICALENDAR_LIB_VERSION "6.5.0")
set(CALENDAR_UTILS_VERSION "6.5.0")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.0")
set(KIMAP_LIB_VERSION "6.5.0")
set(LIBKSIEVE_LIB_VERSION "6.5.0")
set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
set(AKONADICONTACT_LIB_VERSION "6.5.0")
set(IMPORTWIZARD_LIB_VERSION "6.5.0")
set(MAILIMPORTER_LIB_VERSION "6.5.0")
set(KPIMPKPASS_LIB_VERSION "6.5.0")
set(KPIMITINERARY_LIB_VERSION "6.5.0")
set(KPIM_MIME_VERSION "6.5.0")
set(KLDAP_LIB_VERSION "6.5.0")

find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AddressbookImportExport
    ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
find_package(KF6TextGrammarCheck ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTranslator ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IncidenceEditor
    ${INCIDENCEEDITOR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6CalendarSupport
    ${CALENDARSUPPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiCalendar
    ${AKONADICALENDAR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IdentityManagementCore
    ${KIDENTITYMANAGEMENT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(OPTION_ADD_AUTOGENERATETEXT)
    find_package(
        KF6TextAutoGenerateText
        ${KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION}
        CONFIG
    )
    set_package_properties(
        KF6TextAutoGenerateText
        PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Required for building AI plugins support"
            DESCRIPTION "Use AI plugin"
    )
endif()

find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiContactWidgets
    ${AKONADICONTACT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6ImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(
    KPim6MailImporterAkonadi
    ${MAILIMPORTER_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION "Allow to compile with plasma activities"
                    TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(KDEPIM_ADDONS_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(
    config-kdepim-addons.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
)

# For adblocker
find_package(Corrosion CONFIG)
set_package_properties(
    Corrosion
    PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "Required to build the builtin adblocker"
        DESCRIPTION
            "CMake scripts to seamlessly build and link to targets using cargo"
        URL https://github.com/corrosion-rs/corrosion
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

if(KDEPIM_ENTERPRISE_BUILD)
    set(KDEPIM_ENTERPRISE_BUILD true)
else()
    set(KDEPIM_ENTERPRISE_BUILD false)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
# Extra package
find_package(Gpgmepp 1.23.2 CONFIG)
set_package_properties(
    Gpgmepp
    PROPERTIES
        DESCRIPTION "GpgME library"
        URL "https://www.gnupg.org"
        TYPE REQUIRED
)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR
    ${KDE_INSTALL_DATADIR}/qtcreator/templates
    CACHE PATH
    "Define qtcreator template install path (default is /usr/share/qtcreator/templates)"
)

find_package(Discount "2" MODULE)
set_package_properties(
    "discount"
    PROPERTIES
        DESCRIPTION
            "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file."
)

if(discount_FOUND)
    if(DEFINED PC_LIBMARKDOWN_VERSION)
        if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
            set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
            message(
                STATUS
                "Discount ${PC_LIBMARKDOWN_VERSION}: has highlighting support"
            )

            # in 3.0.0d, the signature for mkd_e_code_format changed
            if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER_EQUAL "3.0.0")
                if(${PC_LIBMARKDOWN_VERSION} MATCHES "[abc]$")
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE FALSE)
                else()
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE TRUE)
                endif()
            endif()
        endif()
    endif()
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

option(
    BUILD_SCAM_SETTINGS_PLUGINS
    "Build scam settings plugins (In progress)"
    OFF
)

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
add_subdirectory(kldap)
if(TARGET KPim6::ImportWizard)
    add_subdirectory(akonadi-import-wizard)
endif()
if(TARGET KF6::TextAutoGenerateText)
    add_subdirectory(pimautogeneratetext)
endif()

ecm_qt_install_logging_categories(
    EXPORT KDEPIMADDONS
    FILE kdepim-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kaddressbook/importexportplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_importexportplugins\")

add_definitions(-DQGPGME_FOUND)

add_subdirectory(vcards)
if(QT_MAJOR_VERSION STREQUAL "6")
    message(STATUS "csv needs to be port to qt6")
    #add_subdirectory(csv)
endif()
add_subdirectory(gmx)
add_subdirectory(ldap)
add_subdirectory(ldif)
add_subdirectory(windows-contacts)

=== kmail/editorinitplugins/externalcomposer/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

macro(add_kmail_externalcomposer_unittest _source _additional)
    set(_test ${_source} ${_additional})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})

    ecm_mark_as_test(kmail_editorinitplugin-${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        KPim6::MessageComposer
        KF6::I18n
        KPim6::PimCommon
        KF6::KIOWidgets
    )
endmacro()

add_kmail_externalcomposer_unittest(externalcomposerconfigurewidgettest.cpp "../externalcomposerconfigurewidget.cpp")
add_kmail_externalcomposer_unittest(externalcomposerconfiguredialogtest.cpp "../externalcomposerconfiguredialog.cpp;../externalcomposerconfigurewidget.cpp")
add_kmail_externalcomposer_unittest(externalcomposerplugineditortest.cpp "../externalcomposerplugineditor.cpp;../externalcomposerplugineditorinterface.cpp;../externalcomposerconfiguredialog.cpp;../externalcomposerconfigurewidget.cpp")

=== debian/changelog ===
kdepim-addons (25.08.0-0zneon+24.04+noble+release+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:56:26 +0000

kdepim-addons (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:29:21 +0000

kdepim-addons (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:13:04 +0000

kdepim-addons (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:12:52 +0000

kdepim-addons (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:03:01 +0000

kdepim-addons (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:04:15 +0000

kdepim-addons (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:25:41 +0000

kdepim-addons (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:18:47 +0000

kdepim-addons (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:10:35 +0000

kdepim-addons (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:06:29 +0000

kdepim-addons (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:06:37 +0000

kdepim-addons (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:44:34 +0000

kdepim-addons (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:20:23 +0000

kdepim-addons (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:25:25 +0000

kdepim-addons (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:01:55 +0000

kdepim-addons (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:24:52 +0000

kdepim-addons (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:48:25 +0000

kdepim-addons (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:48:25 +0000

kdepim-addons (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:48:25 +0000

kdepim-addons (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 16:14:58 +0000

kdepim-addons (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:23:37 +0000

kdepim-addons (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:09:04 +0000

kdepim-addons (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:53:28 +0000

kdepim-addons (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:35:30 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cargo,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               discount,
               doxygen,
               graphviz,
               kaddressbook-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-ktextaddons-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-notes-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-importwizard-dev,
               kpim6-incidenceeditor-dev,
               kpim6-itinerary-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-ktnef-dev,
               kpim6-libgravatar-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-libkleo-dev,
               kpim6-libksieve-dev,
               kpim6-mailcommon-dev,
               kpim6-mailimporter-dev,
               kpim6-messagelib-dev,
               kpim6-mimetreeparser-dev,
               kpim6-pimcommon-dev,
               kpim6-pkpass-dev,
               libcups2-dev,
               libgpgme-dev | libgpgme11-dev,
               libmarkdown2-dev,
               libpoppler-qt6-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               rustc
Standards-Version: 4.6.2
Homepage: https://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdepim-addons.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdepim-addons
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kdepim-addons
Architecture: any
Depends: libplasma6,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdepim-addons
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

Package: kdepim-addons
Architecture: all
Depends: kpim6-kdepim-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kdepim-addons 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.0")
+set(PIM_VERSION "6.5.1")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
@@ -117,31 +117,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.0")
-set(GRAVATAR_LIB_VERSION "6.5.0")
-set(PIMCOMMON_LIB_VERSION "6.5.0")
-set(GRANTLEETHEME_LIB_VERSION "6.5.0")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.0")
-set(LIBKDEPIM_LIB_VERSION "6.5.0")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.0")
-set(LIBKLEO_LIB_VERSION "6.5.0")
-set(AKONADI_LIB_VERSION "6.5.0")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.0")
-set(KTNEF_LIB_VERSION "6.5.0")
-set(MESSAGELIB_LIB_VERSION "6.5.0")
-set(AKONADICALENDAR_LIB_VERSION "6.5.0")
-set(CALENDAR_UTILS_VERSION "6.5.0")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.0")
-set(KIMAP_LIB_VERSION "6.5.0")
-set(LIBKSIEVE_LIB_VERSION "6.5.0")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
-set(AKONADICONTACT_LIB_VERSION "6.5.0")
-set(IMPORTWIZARD_LIB_VERSION "6.5.0")
-set(MAILIMPORTER_LIB_VERSION "6.5.0")
-set(KPIMPKPASS_LIB_VERSION "6.5.0")
-set(KPIMITINERARY_LIB_VERSION "6.5.0")
-set(KPIM_MIME_VERSION "6.5.0")
-set(KLDAP_LIB_VERSION "6.5.0")
+set(MAILCOMMON_LIB_VERSION "6.5.1")
+set(GRAVATAR_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(GRANTLEETHEME_LIB_VERSION "6.5.1")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
+set(LIBKDEPIM_LIB_VERSION "6.5.1")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.1")
+set(LIBKLEO_LIB_VERSION "6.5.1")
+set(AKONADI_LIB_VERSION "6.5.1")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.1")
+set(KTNEF_LIB_VERSION "6.5.1")
+set(MESSAGELIB_LIB_VERSION "6.5.1")
+set(AKONADICALENDAR_LIB_VERSION "6.5.1")
+set(CALENDAR_UTILS_VERSION "6.5.1")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.1")
+set(KIMAP_LIB_VERSION "6.5.1")
+set(LIBKSIEVE_LIB_VERSION "6.5.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
+set(AKONADICONTACT_LIB_VERSION "6.5.1")
+set(IMPORTWIZARD_LIB_VERSION "6.5.1")
+set(MAILIMPORTER_LIB_VERSION "6.5.1")
+set(KPIMPKPASS_LIB_VERSION "6.5.1")
+set(KPIMITINERARY_LIB_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.1")
+set(KLDAP_LIB_VERSION "6.5.1")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

=== kldap/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"kldap_plugins\")
if(KDEPIM_ADDONS_HAVE_ACTIVITY_SUPPORT)
    add_subdirectory(activities)
endif()

=== korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(emailaddressselectionldapdialog)

=== akonadi-import-wizard/oe/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(oeimporter_SRCS oeimportdata.cpp)

kcoreaddons_add_plugin(oeimporterplugin SOURCES
    ${oeimporter_SRCS} INSTALL_NAMESPACE importwizard
)

target_link_libraries(
    oeimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== kmail/plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_plugins\")
add_subdirectory(antispamplugin)
add_subdirectory(antivirusplugin)
add_subdirectory(common/avscripts)
add_subdirectory(expertplugin)
add_subdirectory(mailmergeplugin)
add_subdirectory(akonadidatabasetools)
add_subdirectory(checkfoldersizeaccount)

install(
    FILES common/kmail.antispamrc common/kmail.antivirusrc
    DESTINATION ${KDE_INSTALL_CONFDIR}
)

=== kmailtransport/activities/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(${CMAKE_CURRENT_BINARY_DIR})
kcoreaddons_add_plugin(kmailtransportactivitiesplugin INSTALL_NAMESPACE "pim6/mailtransportactivities")

ecm_qt_declare_logging_category(kmailtransportactivitiesplugin HEADER kmailtransportactivitiesplugin_debug.h IDENTIFIER
    KMAILTRANSPORTACTIVITIES_PLUGIN_LOG CATEGORY_NAME org.kde.pim.kmailtransportactivitiesplugin
    DESCRIPTION "kdepim-addons (KMailtransport activities support)"
    EXPORT KDEPIMADDONS
)

target_sources(
    kmailtransportactivitiesplugin
    PRIVATE transportactivitiesplugin.h transportactivitiesplugin.cpp
)

target_link_libraries(
    kmailtransportactivitiesplugin
    KF6::I18n
    KF6::CoreAddons
    KPim6::MailTransport
    Qt::Widgets
    KPim6::PimCommonActivities
)

=== pimautogeneratetext/tests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

add_executable(
    autogenerateconfigureaskdialog_gui
    autogenerateconfigureaskdialog_gui.cpp
)

target_link_libraries(
    autogenerateconfigureaskdialog_gui
    KPim6::AutoGenerateText
)

=== plugins/templateparser/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

kcoreaddons_add_plugin(templateparseraddressrequesterplugin INSTALL_NAMESPACE pim6/templateparser)

target_sources(
    templateparseraddressrequesterplugin
    PRIVATE
        templateparseremailaddressrequesterakonadi.cpp
        templateparseremailaddressrequesterakonadi.h
)

target_link_libraries(
    templateparseraddressrequesterplugin
    KPim6::TemplateParser
    KPim6::AkonadiContactWidgets
)

=== sieveeditor/imapfoldercompletion/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_CURRENT_BINARY_DIR})
kcoreaddons_add_plugin(imapfoldercompletionplugin INSTALL_NAMESPACE pim6/libksieve)

set(sieveeditor_plugin_categories_SRCS)
ecm_qt_declare_logging_category(sieveeditor_plugin_categories_SRCS HEADER imapfoldercompletionplugin_debug.h IDENTIFIER
    IMAPFOLDERCOMPLETIONPLUGIN_LOG CATEGORY_NAME org.kde.pim.imapfoldercompletion
    DESCRIPTION "kdepim-addons (SieveEditor imap completion folder)"
    EXPORT KDEPIMADDONS
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

target_sources(
    imapfoldercompletionplugin
    PRIVATE
        selectimapfolderdialog.cpp
        selectimapfolderwidget.cpp
        selectimapwidget.cpp
        selectimaploadfoldersjob.cpp
        selectimapfoldermodel.cpp
        selectimaplineedit.cpp
        selectimaplineeditcompletermodel.cpp
        selectimapcreatefolderjob.cpp
        selectimapfoldertreeview.cpp
        ${sieveeditor_plugin_categories_SRCS}
        selectimapfolderdialog.h
        selectimapfolderwidget.h
        selectimapwidget.h
        selectimaploadfoldersjob.h
        selectimapfoldermodel.h
        selectimaplineedit.h
        selectimaplineeditcompletermodel.h
        selectimapcreatefolderjob.h
        selectimapfoldertreeview.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(imapfoldercompletionplugin PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(
    imapfoldercompletionplugin
    KPim6::PimCommon
    KF6::Completion
    KF6::I18n
    KF6::KIOWidgets
    KPim6::KSieveUi
    KPim6::MailTransport
    KPim6::IMAP
    KF6::ItemModels
)

=== kaddressbook/importexportplugins/csv/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(kaddressbook_importexportcsvplugin INSTALL_NAMESPACE pim6/kaddressbook/importexportplugin)
target_sources(
    kaddressbook_importexportcsvplugin
    PRIVATE
        csvimportexportplugin.cpp
        csvimportexportplugininterface.cpp
        import/csvimportdialog.cpp
        import/dateparser.cpp
        import/qcsvmodel.cpp
        import/qcsvreader.cpp
        import/templateselectiondialog.cpp
        csvimportexportplugin.h
        csvimportexportplugininterface.h
        import/csvimportdialog.h
        import/dateparser.h
        import/qcsvmodel.h
        import/qcsvreader.h
        import/templateselectiondialog.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook_importexportcsvplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()
target_link_libraries(
    kaddressbook_importexportcsvplugin
    KPim6::AddressbookImportExport
    KPim6::PimCommon
    KF6::I18n
    KF6::XmlGui
    KF6::Contacts
    KF6::JobWidgets
    KF6::Completion
    KF6::KIOWidgets
    KPim6::AkonadiCore
)

=== kaddressbook/importexportplugins/ldap/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(kaddressbook_importexportldapplugin INSTALL_NAMESPACE pim6/kaddressbook/importexportplugin)
target_sources(
    kaddressbook_importexportldapplugin
    PRIVATE
        ldapimportexportplugin.cpp
        ldapimportexportplugininterface.cpp
        ldapimportexportplugin.h
        ldapimportexportplugininterface.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook_importexportldapplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()

target_link_libraries(
    kaddressbook_importexportldapplugin
    KPim6::AddressbookImportExport
    KPim6::AkonadiCore
    KF6::I18n
    KF6::XmlGui
    KF6::Contacts
    KPim6::PimCommonAkonadi
)

=== kaddressbook/importexportplugins/ldif/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(kaddressbook_importexportldifplugin INSTALL_NAMESPACE pim6/kaddressbook/importexportplugin)
target_sources(
    kaddressbook_importexportldifplugin
    PRIVATE
        ldifimportexportplugin.cpp
        ldifimportexportplugininterface.cpp
        ldifimportexportplugin.h
        ldifimportexportplugininterface.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook_importexportldifplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()

target_link_libraries(
    kaddressbook_importexportldifplugin
    KPim6::AddressbookImportExport
    KPim6::PimCommon
    KF6::I18n
    KF6::XmlGui
    KF6::Contacts
    KF6::JobWidgets
    KPim6::AkonadiCore
)

=== debian/changelog ===
kdepim-addons (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:08 +0100

kdepim-addons (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:51:32 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicalendar-dev (>= 4:25.08.1~),
               libakonadicontact-dev (>= 4:25.08.1~),
               libcalendarsupport-dev (>= 4:25.08.1~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.08.1~),
               libgravatar-dev (>= 4:25.08.1~),
               libincidenceeditor-dev (>= 25.08.1~),
               libkaddressbook-dev (>= 4:25.08.1~),
               libkcalendarutils-dev (>= 4:25.08.1~),
               libkdepim-dev (>= 4:25.08.1~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.1~),
               libkimap-dev (>= 25.08.1~),
               libkitinerary-dev (>= 25.08.1~),
               libkldap-dev (>= 25.08.1~),
               libkleo-dev (>= 4:25.08.1~),
               libkmailtransport-dev (>= 25.08.1~),
               libkmime-dev (>= 25.08.1~),
               libkpimimportwizard-dev (>= 4:25.08.1~),
               libkpimtextedit-dev (>= 25.08.1~),
               libkpkpass-dev (>= 25.08.1~),
               libksieve-dev (>= 4:25.08.1~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:25.08.1~),
               libmailcommon-dev (>= 4:25.08.1~),
               libmailimporter-dev (>= 4:25.08.1~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.08.1~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.08.1~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 25.08.1+p24.04+vstable+git20250926.1208

=== debian/changelog ===
kdepim-addons (25.08.1+p24.04+vstable+git20250926.1208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 12:08:34 +0000

kdepim-addons (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:56:21 +0000

## kdepim-addons 25.08.1+p24.04+vstable+git20251003.1208

=== debian/changelog ===
kdepim-addons (25.08.1+p24.04+vstable+git20251003.1208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 12:09:06 +0000
